package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;

public class MtbUntMis extends EntityBase {

    private String untMis;
    private String flagDig;
    private BigDecimal cifreDec;
    private String tipoUm;
    private String flagUnitaKg;
    private String flagAttivo;

    public MtbUntMis() {
        this.type = "mtb_unt_mis";
    }

    public String getUntMis() {
        return untMis;
    }

    public MtbUntMis setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public boolean isFlagDig() {
        return "S".equalsIgnoreCase(flagDig);
    }

    public String getFlagDig() {
        return flagDig;
    }

    public MtbUntMis setFlagDig(String flagDig) {
        this.flagDig = flagDig;
        return this;
    }

    public BigDecimal getCifreDec() {
        if(isFlagDig()) return BigDecimal.ZERO;
        return cifreDec;
    }

    public MtbUntMis setCifreDec(BigDecimal cifreDec) {
        this.cifreDec = cifreDec;
        return this;
    }

    public String getTipoUm() {
        return tipoUm;
    }

    public MtbUntMis setTipoUm(String tipoUm) {
        this.tipoUm = tipoUm;
        return this;
    }

    public String getFlagUnitaKg() {
        return flagUnitaKg;
    }

    public MtbUntMis setFlagUnitaKg(String flagUnitaKg) {
        this.flagUnitaKg = flagUnitaKg;
        return this;
    }

    public String getFlagAttivo() {
        return flagAttivo;
    }

    public MtbUntMis setFlagAttivo(String flagAttivo) {
        this.flagAttivo = flagAttivo;
        return this;
    }
}
